## cgilib 0.4-3

=== Makefile ===
#   Copyright (c) 1998  Martin Schulze <joey@infodrom.north.de>

#   This program is free software; you can redistribute it and/or modify
#   it under the terms of the GNU General Public License as published by
#   the Free Software Foundation; either version 2 of the License, or
#   (at your option) any later version.

#   This program is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU General Public License for more details.

#   You should have received a copy of the GNU General Public License
#   along with this program; if not, write to the Free Software
#   Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111, USA.

CFLAGS = -I. -Wall -O2 -g

libcgi.a: cgi.o
	ar rc libcgi.a cgi.o

cgitest: cgitest.o cgi.o
	$(CC) $(CFLAGS) -o cgitest cgitest.o cgi.o

install: cgitest
	install -m 755 cgitest /usr/lib/cgi-bin

clean:
	rm -f cgitest cgitest.o cgi.o

## cgilib 0.4-2

=== debian/changelog ===
cgilib (0.4-2) frozen unstable; urgency=low, closes=20352

  * Made debian/rules executable (closes: Bug#20352)

 -- Martin Schulze <joey@finlandia.infodrom.north.de>  Sat, 28 Mar 1998 21:04:38 +0100

cgilib (0.4-1) frozen unstable; urgency=low

  * Corrected Standards-Version (typo, lintian)

 -- Martin Schulze <joey@finlandia.infodrom.north.de>  Tue, 24 Mar 1998 00:38:49 +0100

cgilib (0.4) unstable; urgency=low

  * Corrected html code in redirection
  * Corrected number of bytes in redirection

 -- Martin Schulze <joey@finlandia.infodrom.north.de>  Fri, 20 Mar 1998 09:20:51 +0100

cgilib (0.3) unstable; urgency=low

  * Fixed little mistake in offline mode
  * Included another example, jumpto

 -- Martin Schulze <joey@finlandia.infodrom.north.de>  Mon, 23 Feb 1998 11:03:21 +0100

cgilib (0.2) unstable; urgency=low

  * Corrected debugging
  * Added cgiRedirect()
  * Added cgiRedirect(3) manpage
  * Added call to cgiRedirect() to example cgitest.c
  * Added compile notice to cgitest.c
  * Added support for the GET method
  * Reorganized POST/GET/stdin support
  * Implemented support for multiple fields and updated manpage

 -- Martin Schulze <joey@finlandia.infodrom.north.de>  Wed, 18 Feb 1998 11:26:21 +0100

cgilib (0.1-1) unstable; urgency=low

  * New package
  * DFSG Free cgi library
  * Very small package
  * Contains all important manpages

 -- Martin Schulze <joey@finlandia.infodrom.north.de>  Sun, 15 Feb 1998 05:45:57 +0100

=== debian/control ===
Source: cgilib
Maintainer: Martin Schulze <joey@debian.org>
Section: web
Priority: optional
Standards-Version: 2.4.0.0

Package: cgilib
Architecture: any
Depends: ${shlibs:Depends}
Suggests: httpd
Section: web
Priority: optional
Description: Simple CGI library
 This library offers a simple programming API to the Common Gateway
 Interface (CGI).

## cgilib 0.4-3

=== debian/changelog ===
cgilib (0.4-3) unstable; urgency=low

  * Switched from bzero() to memset(), thanks Shaleh
  * Corrected typo in cgiInit(3), thanks Shaleh
  * Removed unneeded dependency field.
  * Fixed typo in jump.c comments, thanks Shaleh.

 -- Martin Schulze <joey@finlandia.infodrom.north.de>  Sat, 12 Sep 1998 02:55:32 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,6 @@
 
 Package: cgilib
 Architecture: any
-Depends: ${shlibs:Depends}
 Suggests: httpd
 Section: web
 Priority: optional

=== debian/rules ===
#! /usr/bin/make -f

#   Copyright 1994-98   joey@infodrom.north.de (Martin Schulze)
#
#   This program is free software; you can redistribute it and/or modify
#   it under the terms of the GNU General Public License as published by
#   the Free Software Foundation; version 2 dated June, 1991.
#
#   This program is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU General Public License for more details.
#
#   You should have received a copy of the GNU General Public License
#   along with this program;  if not, write to the Free Software
#   Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

SHELL=/bin/bash
# The name and version of the source
#
source = $(shell grep "^Source: " debian/control|head -1|sed 's/Source: \(.*\)/\1/g')
package = $(shell grep "^Package: " debian/control|head -1|sed 's/Package: \(.*\)/\1/g')
version = $(shell grep "^$(source) " debian/changelog|head -1 |sed 's/.*(\(.*\)).*/\1/g')
#version = $(shell grep "^$(source) " debian/changelog|head -1 |sed 's/.*(\(.*\)\-[^\-]*).*/\1/g')
#revision = $(shell grep "^$(source) " debian/changelog|head -1 |sed 's/.*([^\-]*\-\(.*\)).*/\1/g')

installbin = install -g root -o root -m 755
installdoc = install -g root -o root -m 644

build:
	$(MAKE)
	touch stamp-build

clean: debclean
	rm -f stamp-build
	$(MAKE) clean
	find . -name '*~' -exec rm {} \;

debclean:
# Cleans debian binary directories to allow binary creation
	rm -rf debian/tmp
	rm -f debian/{files,substvars}

binary-indep:
# Nothing to be done here

binary-arch: debclean
	rm -rf debian/tmp
	test -f stamp-build || $(MAKE) -f debian/rules build
	$(installbin) -d debian/tmp/DEBIAN
	chown -R root.root debian/tmp
	chmod -R g-ws debian/tmp
	#
	$(installbin) -d debian/tmp/usr/doc/$(package)/examples
	$(installdoc) debian/copyright debian/tmp/usr/doc/$(package)
	$(installdoc) readme debian/tmp/usr/doc/$(package)
	$(installdoc) debian/changelog debian/tmp/usr/doc/$(package)/changelog.Debian
	$(installdoc) cgitest.c debian/tmp/usr/doc/$(package)/examples
	$(installdoc) jumpto.c debian/tmp/usr/doc/$(package)/examples
	gzip -9f debian/tmp/usr/doc/$(package)/changelog.Debian
	#
	$(installbin) -d debian/tmp/usr/man/man{3,5}
	for page in *.3; do \
	  $(installdoc) $${page} debian/tmp/usr/man/man3/$${page}; \
	done
	$(installdoc) cgi.5 debian/tmp/usr/man/man5/cgi.5
	gzip -9f debian/tmp/usr/man/man?/*
	#
	$(installbin) -d debian/tmp/usr/include
	$(installdoc) cgi.h debian/tmp/usr/include
	$(installbin) -d debian/tmp/usr/lib
	$(installdoc) libcgi.a debian/tmp/usr/lib
	strip --strip-debug libcgi.a debian/tmp/usr/lib/libcgi.a
#	$(installdoc) $(target)/tmp/$(MSHLIB) debian/tmp/usr/lib
#	ln -sf $(MSHLIB) debian/tmp/usr/tmp/$(MSHLIB0)
#	ln -sf $(MSHLIB0) debian/tmp/usr/tmp/$(MSHLIB00)
#	chown root.root debian/tmp/usr/tmp/$(MSHLIB0) debian/tmp/usr/tmp/$(MSHLIB00)
#	strip --strip-unneeded debian/tmp/usr/tmp/$(MSHLIB0)
	#
#	dpkg-shlibdeps debian/tmp/usr/tmp/$(MSHLIB0)
	dpkg-gencontrol
	dpkg --build debian/tmp ..

binary: binary-indep binary-arch

source diff:
	@echo >&2 'source and diff are obsolete - use dpkg-source -b' or dsc; false

dsc: clean
	-test -d debian/tmp && $(MAKE) -f debian/rules debclean
	if [ ! -f ../$(source)_$(version).orig.tar.gz -a -f ../orig/$(source)_$(version).orig.tar.gz ]; \
	then \
	  ln -s orig/$(source)_$(version).orig.tar.gz ../$(source)_$(version).orig.tar.gz; \
	  touch /tmp/stamp-$(source)-link; \
	fi; \
	cd .. && dpkg-source -b $(source)-$(version)
	if [ -f /tmp/stamp-$(source)-link ]; then \
	  rm ../$(source)_$(version).orig.tar.gz /tmp/stamp-$(source)-link; \
	fi

checkroot:
	$(checkdir)
	test root = "`whoami`"

dist: binary dsc

.PHONY: binary binary-arch binary-indep clean checkroot

## cgilib 0.5

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-#   Copyright (c) 1998  Martin Schulze <joey@infodrom.north.de>
+#   Copyright (c) 1998,9 by Martin Schulze <joey@infodrom.north.de>
 
 #   This program is free software; you can redistribute it and/or modify
 #   it under the terms of the GNU General Public License as published by
@@ -15,15 +15,29 @@
 #   Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111, USA.
 
 CFLAGS = -I. -Wall -O2 -g
+LDFLAGS = -L.
+LIBS = -lcgi
 
-libcgi.a: cgi.o
-	ar rc libcgi.a cgi.o
+OBJS = cgi.o cookies.o
 
-cgitest: cgitest.o cgi.o
-	$(CC) $(CFLAGS) -o cgitest cgitest.o cgi.o
+libcgi.a: $(OBJS)
+	ar rc $@ $^
+
+cgitest: cgitest.o libcgi.a
+	$(CC) $(CFLAGS) $(LDFLAGS) -o $@ $^ $(LIBS)
+
+jumpto: jumpto.o libcgi.a
+	$(CC) $(CFLAGS) $(LDFLAGS) -o $@ $^ $(LIBS)
+
+all: libcgi.a cgitest jumpto
 
 install: cgitest
 	install -m 755 cgitest /usr/lib/cgi-bin
 
 clean:
-	rm -f cgitest cgitest.o cgi.o
+	rm -f cgitest cgitest.o jumpto jumpto.o libcgi.a $(OBJS) *.[35].html
+
+htmlman:
+	for f in *.[35]; do \
+	  man -l $$f|rman -f HTML --title $$f -r "%s.%s.html" > $$f.html; \
+	done

## cgilib 0.6

=== Makefile ===
#   Copyright (c) 1998,9,2001,7,8 by Martin Schulze <joey@infodrom.org>
#
#   This program is free software; you can redistribute it and/or modify
#   it under the terms of the GNU General Public License as published by
#   the Free Software Foundation; either version 2 of the License, or
#   (at your option) any later version.
#
#   This program is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU General Public License for more details.
#
#   You should have received a copy of the GNU General Public License
#   along with this program; if not, write to the Free Software Foundation
#   Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.

CFLAGS = -Wall -O2 -g
IFLAGS = -I.
LDFLAGS = -L.
#LIBS = -lcgi

OBJS = cgi.o cookies.o aux.o

CC += $(IFLAGS)

libcgi.a: $(OBJS)
	ar rc $@ $^

cgitest: cgitest.o libcgi.a
	$(CC) $(CFLAGS) $(IFLAGS) $(LDFLAGS) -o $@ $^ $(LIBS)

jumpto: jumpto.o libcgi.a
	$(CC) $(CFLAGS) $(IFLAGS) $(LDFLAGS) -o $@ $^ $(LIBS)

all: libcgi.a cgitest jumpto

install: cgitest
	install -m 755 cgitest /usr/lib/cgi-bin

clean:
	rm -f cgitest cgitest.o jumpto jumpto.o libcgi.a $(OBJS) *.[35].html

htmlman:
	for f in *.[35]; do \
	  man -l $$f|rman -f HTML --title $$f -r "%s.%s.html" > $$f.html; \
	done
